### Enumeration

# EDataServer WebDAVACEPrincipalKind

#### Declaration

    enum EDataServer.WebDAVACEPrincipalKind

#### Description

No description available.

#### Members

`E_WEBDAV_ACE_PRINCIPAL_UNKNOWN`

  No description available.

  - Value: `0`
  - Available since: 1.2
`E_WEBDAV_ACE_PRINCIPAL_HREF`

  No description available.

  - Value: `1`
  - Available since: 1.2
`E_WEBDAV_ACE_PRINCIPAL_ALL`

  No description available.

  - Value: `2`
  - Available since: 1.2
`E_WEBDAV_ACE_PRINCIPAL_AUTHENTICATED`

  No description available.

  - Value: `3`
  - Available since: 1.2
`E_WEBDAV_ACE_PRINCIPAL_UNAUTHENTICATED`

  No description available.

  - Value: `4`
  - Available since: 1.2
`E_WEBDAV_ACE_PRINCIPAL_PROPERTY`

  No description available.

  - Value: `5`
  - Available since: 1.2
`E_WEBDAV_ACE_PRINCIPAL_SELF`

  No description available.

  - Value: `6`
  - Available since: 1.2
`E_WEBDAV_ACE_PRINCIPAL_OWNER`

  No description available.

  - Value: `7`
  - Available since: 1.2